Page MenuHomePhabricator

make CI for extensions able to run PHPUnit from composer instead of a system wide installation
Closed, ResolvedPublic

Description

Make CI for extensions able to run PHPUnit from composer instead of a system wide installation. This means specifically tests run through mediawikis phpunit.php .

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added subscribers: greg, Ricordisamoa, Legoktm and 4 others.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 15 2015, 11:10 PM

This is already possible. Jobs using plain composer-test have always specified their own phpunit version. Most of the PHP libraries (such as IPSet and others) use PHPUnit 4.7 for example. These are still indirectly bundled with MediaWiki core without a problem.

JanZerebecki renamed this task from make CI able to run PHPUnit from composer instead of a system wide installation to make CI for extensions able to run PHPUnit from composer instead of a system wide installation.Feb 13 2016, 2:28 PM
JanZerebecki updated the task description. (Show Details)
JanZerebecki set Security to None.

This task is for mediawiki extension unit tests. Which still was always possible, but AFAIK nobody did it yet for any extension.

Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:50 PM
JanZerebecki closed this task as Resolved.Feb 24 2016, 1:41 PM
JanZerebecki assigned this task to Krinkle.

I think this was solved during T99982. Thx.